Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.session
Class IEssbase.EEssAuthenticatorType

    java.lang.Object
      com.essbase.api.session.IEssbase.EEssAuthenticatorType

All Implemented Interfaces:
  IEssBaseObject, IEssEnum

Enclosing class:
  IEssbase

public static final class IEssbase.EEssAuthenticatorType
extends java.lang.Object
implements IEssEnum

The EEssAuthenticatorType is an enumeration of user authenticators.

Field Summary
`static IEssbase.EEssAuthenticatorType` | `CSS` Authenticator: CSS.
`static int` | `CSS_INT_VALUE` Authenticator (int value): CSS.
`static IEssbase.EEssAuthenticatorType` | `CUSTOM` Deprecated. Use CSS.
`static int` | `CUSTOM_INT_VALUE` Deprecated. Use CSS.
`static IEssbase.EEssAuthenticatorType` | `ENTERPRISE_SERVER` Authenticator: Essbase Enterprise Server.
`static int` | `ENTERPRISE_SERVER_INT_VALUE` Authenticator (int value): Essbase Enterprise Server.
`static IEssbase.EEssAuthenticatorType` | `LDAP` Deprecated. Use CSS.
`static int` | `LDAP_INT_VALUE` Deprecated. Use CSS
`static IEssbase.EEssAuthenticatorType` | `WINDOWS_NT` Deprecated. Use CSS.
`static int` | `WINDOWS_NT_INT_VALUE` Deprecated. Use CSS

Constructor Summary
`IEssbase.EEssAuthenticatorType()`

Method Summary
`IEssEnum` | `fromInt(int intValue)` Gets the IEssEnum from the int value.
`IEssEnum` | `fromString(java.lang.String strValue)` Gets the IEssEnum from the String display value.
`int` | `getCountPossibleValues()` Gets the count of possible values of the enumeration.
`java.lang.String[]` | `getPossibleValues()` Gets the list of possible values of the enumeration.
`int` | `intValue()` Gets the int value of the IEssEnum.
`static IEssbase.EEssAuthenticatorType` | `sm_fromInt(int intValue)` Gets an enumeration object from its int value.
`static IEssbase.EEssAuthenticatorType` | `sm_fromString(java.lang.String strValue)` Gets an enumeration object from its string display value.
`static IEssbase.EEssAuthenticatorType[]` | `sm_values()` Gets all the enumeration objects.
`java.lang.String` | `stringValue()` Gets the String display value of the IEssEnum.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ENTERPRISE_SERVER

    public static final IEssbase.EEssAuthenticatorType ENTERPRISE_SERVER

  Authenticator: Essbase Enterprise Server.

### LDAP

    public static final IEssbase.EEssAuthenticatorType LDAP

  Deprecated. Use CSS.

  Authenticator: LDAP.

### WINDOWS_NT

    public static final IEssbase.EEssAuthenticatorType WINDOWS_NT

  Deprecated. Use CSS.

  Authenticator: WINDOWS_NT.

### CUSTOM

    public static final IEssbase.EEssAuthenticatorType CUSTOM

  Deprecated. Use CSS.

  Authenticator: CUSTOM.

### CSS

    public static final IEssbase.EEssAuthenticatorType CSS

  Authenticator: CSS.

### ENTERPRISE_SERVER_INT_VALUE

    public static final int ENTERPRISE_SERVER_INT_VALUE

  Authenticator (int value): Essbase Enterprise Server.

  See Also:
    Constant Field Values

### LDAP_INT_VALUE

    public static final int LDAP_INT_VALUE

  Deprecated. Use CSS

  Authenticator (int value): LDAP.

  See Also:
    Constant Field Values

### WINDOWS_NT_INT_VALUE

    public static final int WINDOWS_NT_INT_VALUE

  Deprecated. Use CSS

  Authenticator (int value): WINDOWS_NT.

  See Also:
    Constant Field Values

### CUSTOM_INT_VALUE

    public static final int CUSTOM_INT_VALUE

  Deprecated. Use CSS.

  Authenticator (int value): CUSTOM.

  See Also:
    Constant Field Values

### CSS_INT_VALUE

    public static final int CSS_INT_VALUE

  Authenticator (int value): CSS.

  See Also:
    Constant Field Values

Constructor Detail

### IEssbase.EEssAuthenticatorType

    public IEssbase.EEssAuthenticatorType()

Method Detail

### sm_fromString

    public static IEssbase.EEssAuthenticatorType sm_fromString(java.lang.String strValue)
                                                        throws EssException

  Gets an enumeration object from its string display value.

  Parameters:
    `strValue` - The string display value.
  Returns:
    The enumeration object.
  Throws:
    `EssException` - if an error occurs.

### sm_fromInt

    public static IEssbase.EEssAuthenticatorType sm_fromInt(int intValue)
                                                     throws EssException

  Gets an enumeration object from its int value.

  Parameters:
    `intValue` - The int value.
  Returns:
    The enumeration object.
  Throws:
    `EssException` - if an error occurs.

### sm_values

    public static IEssbase.EEssAuthenticatorType[] sm_values()
                                                      throws EssException

  Gets all the enumeration objects.

  Returns:
    The enumeration objects.
  Throws:
    `EssException` - if an error occurs.

### stringValue

    public java.lang.String stringValue()
                                 throws EssException

  Description copied from interface: `IEssEnum`
  Gets the String display value of the IEssEnum.

  Specified by:
    `stringValue` in interface `IEssEnum`
  Returns:
    The String display value of the IEssEnum.
  Throws:
    `EssException` - if an error occurs.

### intValue

    public int intValue()
                 throws EssException

  Description copied from interface: `IEssEnum`
  Gets the int value of the IEssEnum.

  Specified by:
    `intValue` in interface `IEssEnum`
  Returns:
    The int value of the IEssEnum.
  Throws:
    `EssException` - if an error occurs.

### fromInt

    public IEssEnum fromInt(int intValue)
                     throws EssException

  Description copied from interface: `IEssEnum`
  Gets the IEssEnum from the int value.

  Specified by:
    `fromInt` in interface `IEssEnum`
  Returns:
    The IEssEnum interface.
  Throws:
    `EssException` - if an error occurs.

### fromString

    public IEssEnum fromString(java.lang.String strValue)
                        throws EssException

  Description copied from interface: `IEssEnum`
  Gets the IEssEnum from the String display value.

  Specified by:
    `fromString` in interface `IEssEnum`
  Returns:
    The IEssEnum interface.
  Throws:
    `EssException` - if an error occurs.

### getCountPossibleValues

    public int getCountPossibleValues()
                               throws EssException

  Description copied from interface: `IEssEnum`
  Gets the count of possible values of the enumeration.

  Specified by:
    `getCountPossibleValues` in interface `IEssEnum`
  Returns:
    The count of possible values in the enumeration.
  Throws:
    `EssException` - if an error occurs.

### getPossibleValues

    public java.lang.String[] getPossibleValues()
                                         throws EssException

  Description copied from interface: `IEssEnum`
  Gets the list of possible values of the enumeration.

  Specified by:
    `getPossibleValues` in interface `IEssEnum`
  Returns:
    The list of possible values in the enumeration.
  Throws:
    `EssException` - if an error occurs.

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD